MDL-54592 cachestore_mongodb: MongoDB cache store use new driver.
[moodle.git] / cache / upgrade.txt
index f6c02bd..4a801da 100644 (file)
@@ -1,6 +1,11 @@
 This files describes API changes in /cache/stores/* - cache store plugins.
 Information provided here is intended especially for developers.
 
+=== 3.7 ===
+* Upgraded MongoDB cache store to use the new lower level PHP-driver and MongoDB PHP Library.
+* The mongodb extension has replaced the old mongo extension. The mongodb pecl extension >= 1.5 must be installed to use MongoDB
+cache store.
+
 === 3.6 ===
 * The `cache::now()` function now takes an optional boolean parameter to indicate that the cache should return a more
   accurate time, generated by the PHP `microtime` function.